# cObject Class Reference

Inheritance diagram for cObject:

List of all members.

## Public Member Functions

| cObject (cLocation *pcLoc)
| cObject ()
void | SetLocation (double dNS, double dEW)
void | SetLocation (cLocation &Loc)
void | SetLocation (cLocation *pcLoc)
void | SetLocation (DWORD dwLandBlock, float flX, float flY, float flZ, float flA, float flW)
void | SetSpawnLoc (cLocation *pcLoc)
void | SetSpawnLoc (cLocation &Loc)
virtual cMessage | LocationPacket ()
virtual cMessage | CreatePacket ()=0
virtual cMessage | Animation (WORD wAnim, float flPlaySpeed)
virtual cMessage | Animation (WORD wAnim, float flPlaySpeed, BYTE bActivity)
virtual void | Assess (cClient *pcAssesser)
virtual void | Action (cClient *pcActioner)=0
virtual void | Attack (cClient *pcAttacker, float flDamageSlider, DWORD F7B0Sequence)
virtual void | SpellAttack (cClient *pcAttacker, cObject *pcWarSpell, DWORD F7B0Sequence)
virtual cMessage | AdjustBar (DWORD dwGUID, DWORD F7B0Sequence)
virtual cMessage | ChangeCombatMode (bool fMode)
virtual cMessage | CombatAnimation (DWORD dwTarget, WORD wAttackAnim)
virtual DWORD | CalculateDamage (int strength, float flPower, float flResistance)
virtual cMessage | TurnToTarget (float flHeading, DWORD dwTargetGUID)
virtual float | GetRange (DWORD dwTargetLandblock, float flTarX, float flTarY, float flTarZ)
virtual float | GetHeadingTarget (DWORD dwTargetLandblock, float flTarX, float flTarY, float flTarZ)
virtual cMessage | MoveToTarget (cClient *pcWho)
virtual cMessage | MoveTarget (cClient *pcWho)
virtual cMessage | ReturnToSpawn ()
virtual void | ReSpawn (cObject *pcObject)
virtual cLocation | CoordLoc (float dNS, float dEW)
cLocation | EstimateLoc (float flHeading, float flSpeed, float flDistToTarget, float flTime)
virtual cMessage | SetPosition ()
virtual DWORD | GetMonsterModelID ()
virtual DWORD | GetItemModelID ()
DWORD | GetGUID ()
DWORD | SetGUID (cObject *pcObj, DWORD nGUID)
DWORD | GetContainer (DWORD dwGUID)
const char * | Name ()
const char * | TokenlessName ()
void | SetStatic (BOOL state)
BOOL | IsStatic ()
void | SetType (int type)
int | GetType ()
void | SetState (int state)
int | GetState ()

## Static Public Member Functions

static cMessage | RemoveObj (DWORD dwGUID)

## Public Attributes

cLocation | m_Location
cLocation | m_SpawnLoc
BYTE | m_bInventorySequence
WORD | m_wPositionSequence
WORD | m_wNumLogins
WORD | m_wNumPortals
int | m_fEquipped
BOOL | m_fIsOwned
BOOL | m_fIsCasting
DWORD | m_dwContainer
WORD | m_wModelSeq
BYTE | m_bWearSeq
WORD | m_wNumEquips
WORD | m_wState
WORD | m_wNumAnims
DWORD | m_dwDoorState
WORD | m_wPortalMode
DWORD | m_dwObjectFlags1
DWORD | m_dwObjectFlags2
cLocation | m_LSLoc
cLocation | m_HRLoc
std::string | m_strName
std::string | m_strDescription
WORD | m_wCurAnim
WORD | m_wMeleeSequence
DWORD | m_dwF7B0Sequence
DWORD | m_dwConfirmSequence
BYTE | m_bStatSequence
bool | m_fCombatMode
BYTE | m_bIdleAnim
cVelocity | m_Velocity
DWORD | m_dwReSpawn
DWORD | m_dwDecay
DWORD | m_dwChase
DWORD | m_dwInfluence
DWORD | m_dwExp_Value
bool | m_fDeadOrAlive
DWORD | m_dwSpellModel
DWORD | m_dwSpellID
DWORD | m_dwFlagCount
int | item_type
WORD | m_wUses
DWORD | m_dwItemModelID
float | m_fApproachDistance
DWORD | m_dwHouseGUID
DWORD | m_dwOwnerID
DWORD | m_dwQuantity
DWORD | m_dwVitalID
DWORD | m_dwAmount
DWORD | m_dwActivate_Req_SkillID
DWORD | m_dwActivate_Req_Skill_Level
DWORD | m_dwArmor_Level
float | m_fProt_Slashing
float | m_fProt_Piercing
float | m_fProt_Bludgeon
float | m_fProt_Fire
float | m_fProt_Cold
float | m_fProt_Acid
float | m_fProt_Electric
DWORD | m_dwValue
WORD | m_wStack
WORD | m_wStackLimit
int | m_intColor
BYTE | m_bPaletteChange
DWORD | m_wPaletteVector
sPaletteChange | m_vectorPal [255]
BYTE | m_bWearPaletteChange
DWORD | m_wWearPaletteVector
sPaletteChange | m_WearVectorPal [255]
std::list< cEnchantment * > | m_lstEnchantments

## Protected Attributes

DWORD | m_dwGUID
DWORD | m_dwModel
WORD | m_wIcon
BOOL | m_fSelectable
float | m_flScale
BOOL | m_fStatic
DWORD | m_dwMode
DWORD | m_dwMonsterModel

## Friends

class | cDatabase
class | cPortalDat

## Constructor & Destructor Documentation

cObject::cObject | ( | cLocation * | pcLoc | ) | `[inline]`

A constructor.

cObject::cObject | ( |  | ) | `[inline]`

A constructor.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/Object.cpp